using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace SteUp.Shared.Core.Entities;

public class SchedaArticolo
{
    [Key]
    public int Id { get; set; }

    [Required]
    public int SchedaId { get; set; }

    [ForeignKey(nameof(SchedaId))]
    public Scheda Scheda { get; set; } = null!;

    [Required]
    [MaxLength(64)]
    public string Barcode { get; set; } = string.Empty;

    [Required]
    [MaxLength(256)]
    public string Descrizione { get; set; } = string.Empty;
}